import events
import pygame
import data

def vectorSum( v1, v2 ):
	return [ v1[0]+v2[0], v1[1]+v2[1] ]

class EffectManager:
	def __init__(self):
		self._fpsThrottle = False
		self._throttleCountdown = 100
		
	def Start(self, spriteGroup):
		self.spriteGroup = spriteGroup
		events.AddListener( self )
		self.sounds = [ ] #TODO
		self.curSound = 0

	def Throttle(self):
		self._throttleCountdown = 100
		self._fpsThrottle = True
	def CheckThrottle(self):
		if not self._fpsThrottle:
			return False
		self._throttleCountdown -= 1
		if self._throttleCountdown < 0:
			self._fpsThrottle = False
		return True


eManager = EffectManager() #SINGLETON - TODO: do this in a less ugly way


