import events
from charactor import Marble, ElasticBand

class Player:
	def __init__(self):
		self.marble = None
		self.gamePieces = []

	def Start(self):
		print 'player start.  adding to ev manager'
		events.AddListener(self)

	def On_LevelStartedEvent(self):
		elasticBand = ElasticBand()
		events.Fire("GamePieceBirth", elasticBand)
		self.marble = Marble( elasticBand )
		events.Fire("AvatarBirth", self.marble)

	def On_GamePieceDeath( self, piece ):
		try:
			self.gamePieces.remove( piece )
		except:
			pass
